=== razorqt-globalkeyshortcuts/CMakeLists.txt ===
add_subdirectory(src)
add_subdirectory(config)
