=== debian/changelog ===
razorqt (0.5.2-4build1) xenial; urgency=medium

  * Rebuild against libstatgrab10.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 07 Jan 2016 00:46:24 +0000

razorqt (0.5.2-4) unstable; urgency=high

  * Fix for API changes of libstatgrab version 0.90 (Closes: #735574)
    - Update build dependency accordingly to "libstatgrab-dev (>= 0.90)"
  * Bump Standards-Version to 3.9.5 (no changes needed)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 18 Jan 2014 19:38:30 +0000

razorqt (0.5.2-3) unstable; urgency=low

  * debian/patches:
    - lightdm3.patch: Incorporate patch from Ubuntu to ease transitions for when
      lightdm is updated (look for lightdm-qt-3 in addition to versions 2 and
      1).  Thanks Michael Bienia for the pointer, Adam Conrad for the patch.
      (Closes: #730899)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 19 Dec 2013 22:29:09 +0000

razorqt (0.5.2-2) unstable; urgency=low

  * Set target distribution to unstable

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 20 Apr 2013 17:03:44 +0100

razorqt (0.5.2-1~exp2) experimental; urgency=low

  * Make metapackage razorqt depend on new components introduced in last
    upstream version
  * Make razorqt-autosuspend Break old versions of razorqt-power because of
    incompatibilities (files moved between binary packages)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 31 Mar 2013 16:20:53 +0000

razorqt (0.5.2-1~exp1) experimental; urgency=low

  * New upstream version
    - debian/copyright updated to reflect changes (no important license changes)
    - Fixed problems with session files for different Window Managers (Closes:
      #695903)
    - New binary packages for components introduced since last version packaged:
      - razorqt-autosuspend
      - razorqt-confupdate
      - razorqt-globalkeyshortcuts
      - razorqt-lightdm-greeter
      - razorqt-notificationd
      - razorqt-openssh-askpass
    - New build-depends:
      - libasound2-dev (>= 1.0.23) [linux-any] | libpulse-dev (>= 2.0)
      - liblightdm-qt-dev (>= 1.2)
      - libsensors4-dev (>= 1:3.3.2-2) [!hurd-any]
      - libstatgrab-dev (>= 0.16) [linux-any]
    - Drop patches:
      - fix-getopts.diff
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no changes needed)
    - Remove "DM-Upload-Allowed: yes" (obsolete field now)
    - Update Maintainer address

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 31 Mar 2013 00:20:53 +0000
