=== debian/control ===
Source: razorqt
Section: x11
Priority: optional
Standards-Version: 3.9.5
Maintainer: Manuel A. Fernandez Montecelo <mafm@debian.org>
Build-Depends: debhelper (>= 9~),
               dpkg-dev (>= 1.16.1~),
               cmake (>= 2.6),
               pkg-config,
               libasound2-dev (>= 1.0.23) [linux-any] | libpulse-dev (>= 2.0),
               liblightdm-qt-dev (>= 1.2),
               libmagic-dev,
               libpolkit-agent-1-dev,
               libpolkit-qt-1-dev,
               libqt4-dev (>= 4.5.1),
               libsensors4-dev (>= 1:3.3.2-2) [!hurd-any],
               libstatgrab-dev (>= 0.90) [linux-any],
               libudev-dev [linux-any],
               libxrender-dev,
               libxcomposite-dev,
               libxdamage-dev,
               libxcursor-dev,
               zlib1g-dev
Homepage: http://razor-qt.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/razorqt.git
Vcs-Git: git://anonscm.debian.org/collab-maint/razorqt.git


Package: razorqt
Architecture: all
Section: metapackages
Depends: ${misc:Depends},
	 razorqt-appswitcher (>= ${binary:Version}),
         razorqt-autosuspend (>= ${binary:Version}),
         razorqt-config (>= ${binary:Version}),
         razorqt-confupdate (>= ${binary:Version}),
         razorqt-desktop (>= ${binary:Version}),
         razorqt-globalkeyshortcuts (>= ${binary:Version}),
         razorqt-notificationd (>= ${binary:Version}),
         razorqt-openssh-askpass (>= ${binary:Version}),
         razorqt-panel (>= ${binary:Version}),
         razorqt-policykit-agent (>= ${binary:Version}),
         razorqt-power (>= ${binary:Version}),
         razorqt-runner (>= ${binary:Version}),
         razorqt-session (>= ${binary:Version}),
	 openbox | kde-window-manager | x-window-manager
Recommends: x-display-manager, openbox
Description: Lightweight desktop environment, all components
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 While still a new project, Razor-qt already contains the key DE components
 (components can be used separately, not all of them need to be used at once):
 .
  * Panel
  * Desktop
  * Application launcher
  * Settings center
  * Sessions
 .
 Razor-qt works with various WMs.  Most of Razor developers use Openbox, but
 other modern WMs can be used, such as fwwm2 to kwin.
 .
 This metapackage provides all the components of Razor-qt.


Package: libqtxdg0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Implementation of the XDG Specifications for Qt, libs
 This library implements functions of the XDG Specifications in Qt.  It is part
 of Razor-qt.
 .
 This package provides the shared library.

Package: libqtxdg0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libqtxdg0 (= ${binary:Version})
Description: Implementation of the XDG Specifications for Qt, development package
 This library implements functions of the XDG Specifications in Qt.  It is part
 of Razor-qt.
 .
 This package provides the development files.


Package: librazorqt0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version})
Suggests: razorqt
Description: Shared libraries for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the Razor-qt desktop
 environment.

Package: librazorqt0-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0-dev (= ${binary:Version})
Description: Shared libraries for Razor-qt desktop environment, development package
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the development files for the libraries that are shared
 amongst the various components of Razor-qt.


Package: razorqt-data
Architecture: all
Depends: ${misc:Depends},
         xdg-utils,
         oxygen-icon-theme | hicolor-icon-theme
Recommends: menu-xdg
Suggests: razorqt
Description: Shared data files for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package contains the architecture-independent shared data files needed by
 the Razor-qt desktop environment.

Package: razorqt-appswitcher
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config, razorqt-desktop
Suggests: razorqt
Description: Application switcher component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the application switcher component.

Package: razorqt-autosuspend
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config, razorqt-desktop
Suggests: razorqt
Breaks: razorqt-power (<= 0.4.1-2)
Description: Autosuspend component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides a tool to suspend/wake-up laptops on lid events or power
 status events.

Package: razorqt-config
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qt4-qtconfig,
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Suggests: razorqt
Description: Configuration component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the user interface to configure other components.

Package: razorqt-confupdate
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config, razorqt-desktop
Suggests: razorqt
Description: Configuration update component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides a tool to update configuration from older versions.

Package: razorqt-desktop
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config
Suggests: razorqt
Description: Desktop component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the desktop component (displaying icons, clock and other
 widgets in the desktop background).

Package: razorqt-globalkeyshortcuts
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config, razorqt-desktop
Suggests: razorqt
Description: Keyboard shortcuts component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the keyboard shortcuts component (to provide support for
 keyboard shortcuts on the desktop).

Package: razorqt-lightdm-greeter
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config, razorqt-desktop
Suggests: razorqt
Description: LightDM greeter for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides a greeter for LightDM.

Package: razorqt-notificationd
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config, razorqt-desktop
Suggests: razorqt
Description: Notification component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the notification component (to handle notifications on
 the desktop).

Package: razorqt-openssh-askpass
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
         librazorqt0 (= ${binary:Version}),
         razorqt-data (= ${source:Version})
Recommends: razorqt-config, razorqt-desktop
Suggests: razorqt
Description: OpenSSH helper component for Razor-qt desktop environment
 Razor-qt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies.  It has been tailored for users who value simplicity, speed, and
 an intuitive interface.  Unlike most desktop environments, Razor-qt also works
 fine with less powerful machines.
 .
 This package provides the OpenSSH helper component (to interact with OpenSSH
 when requesting passwords on the desktop).

Package: razorqt-panel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libqtxdg0 (= ${binary:Version}),
